#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

vector<int> solve(vector<int> v)
{
    long long s = 0;
    for(auto x : v) s += x;

    long long mini = v.size(), poz;
    for(int i = 0; i < (1LL<<(int)v.size()); i++)
    {
        long long aux = 0, nr = 0, oki = 0;
        for(int j = 0; j < v.size(); j++)
            if(i&(1<<j)) {
                aux += v[j];
                if(aux > (double)s / 2.0) oki++;
                nr++;
            }

        if(oki == 1 && abs(nr - ((int)v.size() - nr)) < mini)
            mini = abs(nr - ((int)v.size() - nr)), poz = i;
    }

    vector<int> a, b, ans;
    a.clear(); b.clear(); ans.clear();

    for(int i = 0; i < v.size(); i++)
        if((1<<i)&poz) a.push_back(i);
        else b.push_back(i);

    for(auto x : a) ans.push_back(x);
    for(auto x : b) ans.push_back(x);

    return ans;
}

